* {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

img {
    user-drag: none;
    -webkit-user-drag: none;
}

#chatWindow {
    display: none;
}

html, body {
    margin: 0;
    height: 100%;
    background-color: #535353;
    color: white;
}

#gameWindow {
    display:none;
    height: 100vh;
}

#diplomacyDiv, #teamDiv {
    flex: 1;
}

#canvasDiv {
    width: 100vh;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

canvas {
    width: 100%;
    height: 100%;
    display: block;
    pointer-events: none
}

#centralUI {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.corner {
    position: absolute;
}

#bottomLeftCorner {
    bottom: 0;
}


#topLeftCorner {
    top:1vh;
}

#aliveDiv {
    display: none;
}

#skullDiv {
    width:10vh;
    height: 10vh;
}

#skullDiv img {
    width: 100%;
    height: 100%;
}

#topRightCorner {
    top:3vh;
    right:1vw;
    width:10vh;
    height:10vh;
}

.effect {
    opacity: 0.15;
}

.activeEffect {
    opacity: 1;
}

#respawnDiv {
    position : fixed;
    left:43vw;
    width:14vw;
    height:9vh;
    bottom: 2vh;
    display:flex;
    flex-direction: column;
    background-color: rgba(255,255,255,0.8);
    border-radius: 1vh;
}

#respawnTopDiv {
    height: 3vh;
    color:black;
    text-align: center;
    font-weight: bold;
    font-size:2.5vh;
}

#respawnBottomDiv {
    display: flex;
    flex-direction: row;
    justify-content: center;
    z-index:1000;
}

#respawnBtn {
    margin-top:0.5vh;
    background-color: #01ae01;
    border-radius: 0.5vh;
    width:6vw;
    height:5vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3vh;
    font-weight: bold;
    cursor: pointer;
}

#respawnBtn:hover {
    width: 6.5vw;
    height: 5.5vh;
    margin-top:0.25vh;
    font-size: 3.3vh;
}

.spawn_arrow {
    margin: 0.5vh;
    width: 5vh;
    height: 5vh;
    border-radius: 0.5vh;
    cursor: pointer;
}

.spawn_arrow img {
    width: 100%;
    height: 100%;
}

#left_spawn_arrow {
    transform: scaleX(-1);
}

.spawn_arrow:hover {
    width: 5.5vh;
    height: 5.5vh;
    margin-top:0.25vh;
    background-color: lightgrey;
 }

#deathInformationDiv {
    display:none;
    color: #9c0115;
    position: fixed;
    left:35vw;
    top:30vh;
    font-weight: bold;
    font-size: 7vh;
    text-align: center;
    text-shadow:
            -1px -1px 0 white,
            1px -1px 0 white,
            -1px 1px 0 white,
            1px 1px 0 white;
}

#respawnTimeDiv {
    font-size: 5.5vh;
}
.playDiv {
    margin-left:39.5vw;
    margin-top:2vh;
}

#usernameInput {
    font-weight: bold;
    font-size: 2vh;
    border-radius: 1vh;
    height: 4vh;
    width: 16vw;
    text-align: center;
}

#usernameInput::placeholder {
    font-style: italic;
}

#playButton {
    background-color: green;
    color: white;
    font-weight: bold;
    font-size: 2vh;
    border-radius: 1vh;
    border:1vh solid green;
    cursor: pointer;
}

#playButton:hover {
    background-color: darkgreen;
    border:1vh solid darkgreen;
}

.permanentUI {
    position: fixed;
    z-index: 9999;
}

.permanentUITopRight {
    position: fixed;
    top: 10px;
    right: 10px;
    display: flex;
    flex-direction: row;
}

.permanentUIBtn  {
    cursor: pointer;
    width:5vh;
    height:5vh;
    margin-left: 0.5vw;
}

.permanentUIBtn img{
    width:100%;
    height:100%;
}

#exitGameBtn {
    display: none;
}

#confirmLeavingGameDiv{
    display: none;
    position: fixed;
    top:40vh;
    left:40vw;
    flex-direction: column;
    width:25vw;
    height:15vh;
    color:red;
    background-color: #473622;
    border-radius: 2vh;
    cursor: pointer;
}

#confirmLeavingGameDiv > div:first-child{
    margin: 1vh;
    font-size: 5vh;
    font-weight: bold;
    text-align: center;
}

.leaveGameChoices {
    display: flex;
    flex-direction: row;
    margin: 2vh;
    gap:5vh;
}

#confirmLeaveGameBtn {
    background-color: red;
    border: 1px solid red;
    color: black;
}

#cancelLeaveGameBtn {
    background-color: #01ae01;
    border: 1px solid #01ae01;
    color: black;
}

#confirmLeaveGameBtn, #cancelLeaveGameBtn {
    border-radius: 0.5vh;
    width: 10vw;
    height:4vh;
    text-align: center;
    font-size: 4vh;
    font-weight: bold;
}

#confirmLeaveGameBtn:hover, #cancelLeaveGameBtn:hover{
    width: 11vw;
    height:4.5vh;
}

#FPSValue {
    margin-right:2vh;
    font-size: 3vh;
    border-radius: 0.5vh;
    display: none;
    font-weight: bold;
    color:black;
}

.tutorial {
    margin-top: 15vh;
    margin-left: 30vw;
    margin-right: 30vw;
}

.tutorialTextDiv {
    text-align: center;
    font-weight: bold;
    font-size: 5vh;
}

.discordDiv {
    position: fixed;
    right: 2vh;
    bottom: 5vh;
    width:8vh;
    height:8vh;
    cursor: pointer;
}

.discordDiv img {
    width:100%;
    height:100%;
}

#versionInfoDiv {
    position: fixed;
    left:1vw;
    bottom: 1vh;
}

#keybindsContainer {
    display: none;
    position: fixed;
    top:15vh;
    right:2vw;
    width: 15vw;
    max-height: 60vh;
    overflow-y: auto;
    overflow-x: hidden;
    margin: 2vh auto;
    background: #222;
    color: white;
    padding: 2vh;
    border-radius: 1vh;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    font-family: sans-serif;
}

#keybindsContainer h2 {
    text-align: center;
    margin-bottom: 2vh;
}

.keybind {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #555;
    padding: 1vh 0;
}

.keybind .action-description {
    flex: 1;
}

.action-description .key {
    flex: 0 0 8vh;
    text-align: center;
    background: #333;
    border-radius: 0.5vh;
    padding: 0.5vh 1vh;
}

.action-key {
    background: #00c339;
    color: black;
    border: none;
    border-radius: 0.5vh;
    padding: 0.5vh 1vh;
    cursor: pointer;
    transition: background 0.2s;
}

.action-key:hover {
    background: #00e54f;
}

.keybindCategorie {
    text-align: center;
    font-size: 2vh;
    font-weight: bold;
    margin-top: 3vh;
}

#gameInfoDiv {
    width : calc(100% - 110vh);
    margin-left: 10vh;
}

#gameTeamsDiv {
    display: flex;
    flex-direction: row;
}

.teamDiv {
    width : 25%;
    padding: 5px;
}

.teamScoreDiv{
    font-weight: bold;
    text-align: center;
    font-size: 5vh;
}

#blueTeamScoreDiv {
    color: blue;
    background-color: black;
    border-radius: 1vh;
}

#redTeamScoreDiv {
    color: red;
    background-color: black;
    border-radius: 1vh;
}

.agentsDiv > * {
    text-align: center;
    vertical-align: center;
    border-radius: 2vh;
    font-weight: bold;
    font-size: 2vh;
    overflow: hidden;
    cursor: pointer;
    margin-top: 0.5vh;
    padding:0.5vh;
    color:black;
}

.agentsDiv > *:hover {
    transform: scale(1.05);
}

#blueTeamAgentsDiv > *{
    background-color: blue;
}

#redTeamAgentsDiv > *{
    background-color: red;
}

#spectatorsHeaderDiv {
    margin-top:1vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
    border-radius: 1vh;
    height:6vh;
    width:23vw;
}

#spectatorsTitleDiv {
    font-size: 3.5vh;
    font-weight: bold;
    color : black;
    padding-left: 2vw;
    padding-right: 2vw;
    text-align: center;
}


#spectatorsTeamAgentsDiv {
    display: flex;
    flex-wrap: wrap;
    gap:10px;
}

#spectatorsTeamAgentsDiv > *{
    background-color: #777777;
    text-align: center;
    justify-content: center;
}

#spectateBtn {
    background-color: #2e2e2e;
    color : white;
    border-radius: 1vh;
    cursor: pointer;
    height:4.5vh;
    width:7vw;
    margin-right: 0.25vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

#spectateBtn:hover {
    background-color: black;
    transform: scale(1.05);
}

.winningTeam  {
    border : 1px solid white;
}